## ryu 4.21+dfsg1

=== debian/changelog ===
ryu (4.21+dfsg1-4) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 21:00:30 +0000

ryu (4.21+dfsg1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 00:22:39 +0000

ryu (4.21+dfsg1-2) experimental; urgency=medium

  * Add python-pip and python-tinyrpc as runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 13:24:39 +0000

ryu (4.21+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased remove-test-requirements-units.patch.
  * Remove test: test_0_call_bytearray(), failing for an unknown reason.
  * Fixed debian/copyright (removed some files which are gone upstream).

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Feb 2018 16:48:17 +0000

ryu (4.15+dfsg1-3) unstable; urgency=medium

  * Sets http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9  when running tests,
    to make sure we don't have network when running tests.
  * Add remove-test-requirements-units.patch to not access network during run
    of unit tests. (Closes: #880863)
  * Removed build-depends on dh-systemd.
  * Removed duplicate build-depends on python-sphinx-rtd-theme.
  * Standards-Version is now 4.1.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Now support <!nocheck> and <!nodoc> build profiles.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 13:16:19 +0000

ryu (4.15+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 12:52:18 +0000

ryu (4.15+dfsg1-1) experimental; urgency=medium

  [ James Page ]
  * Add python3 support, default ryu-bin to python3:
    - d/p/py3-compat.patch: Python3 compatibility for ovs contrib module.
    - d/control,rules: Add python3-ryu package with alternatives
      configuration for ryu and ryu-manager.
    - d/control: Prefer python3-ryu for ryu-bin package.
  * d/control,ryu-bin.postinst,ryu-bin.ryu.init.in: Run ryu daemon as
    ryu user instead of root.
  * d/python3-ryu.postinst: Prefer Python 3 binaries if both python
    module versions are installed.
  * d/rules: Tidy package clean.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Test with all versions of Python 3.
  * Fixed priority to extra, as the policy deprecates optional.
  * Rewrote ryu-bin.postinst to use pkgos postinst functions.
  * Removed py3 patches applied upstream.
  * Added python{3,}-{pip,tinyrpc,openvswitch} as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Oct 2017 10:22:14 +0200

=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx <!nodoc>,
 python-sphinx-rtd-theme <!nodoc>,
 python3-all,
 python3-pbr,
 python3-setuptools,
 sphinx-common,
Build-Depends-Indep:
 python-eventlet <!nocheck>,
 python-eventlet <!nodoc>,
 python-formencode <!nocheck>,
 python-formencode <!nodoc>,
 python-lxml <!nocheck>,
 python-mock <!nocheck>,
 python-msgpack <!nocheck>,
 python-netaddr <!nocheck>,
 python-netaddr <!nodoc>,
 python-nose <!nocheck>,
 python-openvswitch <!nocheck>,
 python-oslo.config <!nocheck>,
 python-oslo.config <!nodoc>,
 python-paramiko <!nocheck>,
 python-pip <!nocheck>,
 python-pip <!nodoc>,
 python-routes <!nocheck>,
 python-routes <!nodoc>,
 python-six,
 python-tinyrpc <!nocheck>,
 python-tinyrpc <!nodoc>,
 python-webob <!nocheck>,
 python3-eventlet <!nocheck>,
 python3-formencode <!nocheck>,
 python3-lxml <!nocheck>,
 python3-mock <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-netaddr <!nocheck>,
 python3-nose <!nocheck>,
 python3-openvswitch <!nocheck>,
 python3-oslo.config <!nocheck>,
 python3-paramiko <!nocheck>,
 python3-pip <!nocheck>,
 python3-routes <!nocheck>,
 python3-six <!nocheck>,
 python3-tinyrpc <!nocheck>,
 python3-webob <!nocheck>,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ryu
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ryu.git
Homepage: http://osrg.github.io/ryu/

Package: python-ryu
Architecture: all
Section: python
Depends:
 python-eventlet,
 python-lxml,
 python-msgpack,
 python-netaddr,
 python-openvswitch,
 python-oslo.config,
 python-paramiko,
 python-pip,
 python-routes,
 python-six,
 python-tinyrpc,
 python-webob,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ryu-doc,
Provides:
 ${python:Provides},
Breaks:
 ryu-bin (<< 3.30+dfsg1-4~),
Replaces:
 ryu-bin (<< 3.30+dfsg1-4~),
Description: software defined networking framework - Python 2.7
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python 2.7 module.

Package: python-ryu-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.

Package: python3-ryu
Architecture: all
Section: python
Depends:
 python3-eventlet,
 python3-lxml,
 python3-msgpack,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-paramiko,
 python3-pip,
 python3-routes,
 python3-six,
 python3-tinyrpc,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ryu-doc,
Provides:
 ${python3:Provides},
Breaks:
 ryu-bin (<< 3.30+dfsg1-4~),
Replaces:
 ryu-bin (<< 3.30+dfsg1-4~),
Description: software defined networking framework - Python 3
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python 3 module.

Package: ryu-bin
Architecture: all
Depends:
 adduser,
 python3-ryu (= ${binary:Version}) | python-ryu (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: software defined networking framework - ryu binary
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

## ryu 4.26+dfsg1

=== debian/changelog ===
ryu (4.26+dfsg1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.

  [ Thomas Goirand ]
  * Fix Breaks+Replaces to allow upgrade for Stretch (Closes: #917992).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Jan 2019 10:30:25 +0100

ryu (4.26+dfsg1-4) unstable; urgency=medium

  * Removed update-alternatives --install /usr/bin/ryu{,-manager}, as we don't
    want it since removal of Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Jan 2019 05:59:04 +0100

ryu (4.26+dfsg1-3) unstable; urgency=medium

  * Removed Python 2 support.
  * Add fix-ut-when-running-in-python-3.7-env.patch (Closes: #917661).

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Dec 2018 06:01:35 +0100

ryu (4.26+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:44:47 +0200

ryu (4.26+dfsg1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased both 2 patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Aug 2018 13:53:12 +0200

=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 sphinx-common,
Build-Depends-Indep:
 python3-eventlet <!nocheck>,
 python3-eventlet <!nodoc>,
 python3-formencode <!nocheck>,
 python3-formencode <!nodoc>,
 python3-lxml <!nocheck>,
 python3-mock <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-netaddr <!nocheck>,
 python3-netaddr <!nodoc>,
 python3-nose <!nocheck>,
 python3-openvswitch <!nocheck>,
 python3-oslo.config <!nocheck>,
 python3-oslo.config <!nodoc>,
 python3-paramiko <!nocheck>,
 python3-pip <!nocheck>,
 python3-pip <!nodoc>,
 python3-routes <!nocheck>,
 python3-routes <!nodoc>,
 python3-six <!nocheck>,
 python3-tinyrpc <!nocheck>,
 python3-tinyrpc <!nodoc>,
 python3-webob <!nocheck>,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ryu
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ryu.git
Homepage: http://osrg.github.io/ryu/

Package: python-ryu-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: software defined networking framework (ryu docs)
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.

Package: python3-ryu
Architecture: all
Section: python
Depends:
 python3-eventlet,
 python3-lxml,
 python3-msgpack,
 python3-netaddr,
 python3-openvswitch,
 python3-oslo.config,
 python3-paramiko,
 python3-pip,
 python3-routes,
 python3-six,
 python3-tinyrpc,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ryu-doc,
Provides:
 ${python3:Provides},
Breaks:
 ryu-bin (<< 4.26+dfsg1-4~),
Replaces:
 ryu-bin (<< 4.26+dfsg1-4~),
Description: software defined networking framework - Python 3
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python 3 module.

Package: ryu-bin
Architecture: all
Depends:
 adduser,
 python3-ryu (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: software defined networking framework - ryu binary
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/osrg/ryu.git
include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ryu-bin.postinst

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. python$$i ryu/tests/run_tests.py ; \
	done
endif

override_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cd doc; \
	make man SPHINXOPTS="-D today=\"$(BUILD_DATE)\"" ;\
	cp build/man/* ../debian/
	dh_installman
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-ryu-doc/usr/share/doc/python-ryu-doc/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-ryu/usr/etc $(CURDIR)/debian/python-ryu/usr/etc

override_dh_installinit:
	dh_installinit --no-start --name=ryu

override_dh_installlogrotate:
	dh_installlogrotate --name=ryu

override_dh_clean:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_clean
	rm -rf debian/*.init debian/*.upstart debian/*.service build doc/build

override_dh_auto_clean:
	rm -rf debian/ryu-manager.8 debian/ryu.8 debian/ryu-bin.postinst

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ryu 4.30%2Bds1

=== debian/changelog ===
ryu (4.30+ds1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:56:43 +0200

ryu (4.30+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Removed fix-ut-when-running-in-python-3.7-env.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 15:46:54 +0100

## ryu 4.30+ds1

=== ryu/tests/packet_data_generator/Makefile ===

generate:
	rebar get-deps
	rebar compile
	erl -pa ebin deps/*/ebin -s x x -s init stop

=== debian/changelog ===
ryu (4.30+ds1-2~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Aug 2019 02:20:10 +0000

## ryu ptdn-4.34.0.dev3373

=== debian/control ===
Source: ryu
Section: net
Priority: optional
Maintainer: Ryu Project Team <ryu-devel@lists.sourceforge.net>
Build-Depends: debhelper (>= 9.0.0), python-all (>= 2.6), python-sphinx
Build-Depends-Indep:
 python-eventlet,
 python-lxml,
 python-msgpack (>= 0.4.0),
 python-netaddr,
 python-oslo.config (>= 1:1.2.0),
 python-paramiko,
 python-routes,
 python-six (>= 1.4.0),
 python-webob (>=1.2),
 python-setuptools,
 python-pip,
 python-pbr
Standards-Version: 3.9.5
Homepage: https://ryu-sdn.org
Vcs-Git: git://github.com/faucetsdn/ryu.git
Vcs-Browser: https://github.com/faucetsdn/ryu
XS-Python-Version: >= 2.6

Package: python-ryu
Architecture: all
Section: python
Depends:
 python-eventlet,
 python-lxml,
 python-msgpack (>= 0.4.0),
 python-netaddr,
 python-oslo.config (>= 1:1.2.0),
 python-paramiko,
 python-routes,
 python-six (>= 1.4.0),
 python-webob (>=1.2),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ryu-doc
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Ryu is a software defined networking framework
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Python library.

Package: ryu-bin
Architecture: all
Depends:
 python-ryu,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Ryu is a software defined networking framework
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the Ryu manager.

Package: python-ryu-doc
Architecture: all
Section: doc
Description: Ryu is a software defined networking framework
 Ryu is a component-based software defined networking framework.
 Ryu provides software components with well defined API that make
 it easy for developers to create new network management and control
 applications. Ryu supports various protocols for managing network
 devices, such as OpenFlow, Netconf, OF-config, etc. About OpenFlow,
 Ryu supports fully 1.0, 1.2, 1.3, 1.4 and Nicira Extensions.
 .
 This package provides the HTML documentation including the Ryu API
 manual.
